Package com.collibra.dgc.core.api.model.reference

# Interface ResourceReference

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `AssetReference`, `MetaNamedResourceReference`, `MetaResourceReference`, `NamedDescribedResourceReference`, `NamedResourceReference`, `UserReference`, `WorkflowDefinitionReference`

public interface ResourceReference extends Serializable
Represents reference to the resource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `getId()`
  Returns the id of the current entity.
  `String`
  `getResourceDiscriminator()`
  Returns the resource discriminator, which indicates the type of the referenced resource, e.g.
  `ResourceType`
  `getResourceType()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Details

  - ### getId

    UUID getId()
    Returns the id of the current entity.
    Returns:
      the id

  - ### getResourceType

    @Deprecated(since="2024.10", forRemoval=true) ResourceType getResourceType()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance,...]. This method is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, the getResourceType method will return BaseDataType. Please use getResourceDiscriminator() instead. Refer to the object containing the ResourceReference for possible values.
    Returns:
      resource type

  - ### getResourceDiscriminator

    String getResourceDiscriminator()
    Returns the resource discriminator, which indicates the type of the referenced resource, e.g. "Community", "Asset", ... Check the documentation of the class using the resource reference for more detailed documentation regarding the possible resource discriminator values.
    Returns:
      the resource discriminator.